------------------------------------------------------------------------------------
--Name:  	tuniancheunjie4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(65, 82)
CppScriptMgr:ShakeScrEffect(1)
local effect_4 = CppScriptMgr:AddEffect("turretProA980", 65, 82, 33, 1, 1, 1)
effect_4:Scale(1.5, 1.5, 1.5)
local npc_2 = CppScriptMgr:AddSimplePlayer(44820, 72, 67, "BunnyVillageHead", 0, 0)
npc_2:SetZoomPercent(250)
local effect_5 = CppScriptMgr:AddEffect("stipple_jx", 82, 64, 33, 1, 1, 1)
effect_5:Scale(3, 3, 3)
local effect_6 = CppScriptMgr:AddEffect("CSGX_jin", 62, 45, 33, 1, 1, 1)
local monster_0 = CppScriptMgr:AddPlayer(272, 54, 72, "TigerKing", 0, 0)
monster_0:SetDir(7)
monster_0:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(260)
monster_0:JumpTo(65, 82)
CppScriptMgr:WaitMilSec(1550)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(800)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(100)
MoveView(65, 82, 82, 64, 3, 33, 1000)
CppScriptMgr:WaitMilSec(180)
npc_2:JumpTo(82, 64)
CppScriptMgr:WaitMilSec(2670)
MoveView(82, 64, 62, 41, 3, 33, 1000)
local effect_0 = CppScriptMgr:AddEffect("newzf2-e280", 62, 45, 33, 1, 1, 1)
local monster_1 = CppScriptMgr:AddPlayer(324, 68, 41, "GoldDragon", 0, 0)
monster_1:SetDir(1)
monster_1:SetZoomPercent(50)
CppScriptMgr:WaitMilSec(640)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(62, 45)
player_0:SetDir(5)
player_0:AddEffect("Mf_castB", 33)
CppScriptMgr:WaitMilSec(500)
player_0:SetAction(200)
player_0:Say("We have suppressed the eye of the array. Please feel free to complete in the test.", 2000)
CppScriptMgr:WaitMilSec(970)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 68, 41, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(700)
ChangeNpcZoom(monster_1, 50, 150, 1, 33)
local effect_2 = CppScriptMgr:AddEffect("irongate_superc", 68, 41, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
player_0:SetAction(230)
CppScriptMgr:WaitMilSec(1260)
local effect_3 = CppScriptMgr:AddEffect("NEW-flower-smallrain", 66, 43, 33, 1, 1, 1)
effect_3:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(470)
player_0:Say("Congrats! You completed the test!", 2000)
player_0:SetAction(180)
CppScriptMgr:WaitMilSec(1740)
monster_1:Say("Thanks for your support!", 1000)
CppScriptMgr:WaitMilSec(3060)